Scraper apiGeneratedStatistics

Get extraction statistics

Retrieve aggregated extraction statistics for a given date range

GET
/v1/statistics
X-Api-Key<token>

In: header

Query Parameters

start_date?string|null
end_date?string|null

Response Body

application/json

application/json

application/json

curl -X GET "https://scraper.geonode.io/v1/statistics"
{
  "extraction_count": 0,
  "previous_period_extraction_count": 0,
  "success_rate": 0,
  "average_extraction_duration": 0,
  "period_tokens_used": 0,
  "requests": [
    {
      "date": "2019-08-24T14:15:22Z",
      "success_request_count": 0,
      "failed_request_count": 0
    }
  ],
  "tokens_used": [
    {
      "date": "2019-08-24T14:15:22Z",
      "tokens_used": 0
    }
  ]
}
{
  "code": "string",
  "message": "string",
  "correlation_id": "string",
  "retryable": true
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}